Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# completion.hh File Reference

A GCompletion C++ wrapper interface. More...

`#include <xfc/object.hh>`
`#include <glib/gcompletion.h>`
`#include <vector>`
`#include <xfc/glib/inline/completion.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::Completion
    A GCompletion C++ wrapper interface. More...

## Detailed Description

A GCompletion C++ wrapper interface.

Provides Completion, an object that supports automatic string completion using a group of target strings.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3